Errors after upgrading to Ruby 2.7.0-preview2

Getting this error after upgrading to Ruby 2.7.0-preview2 for Rails [5.1.7, 5.2.3, 6.0.0] versions.

  • FrozenError: can’t modify frozen String: “railties_load_path=”
    Getting this error after upgrading to Ruby 2.7.0-preview2 for Rails [6.1.0.alpha] version.

  • TypeError: no implicit conversion of nil into String
    FYI

PS. Travis CI has a GitHub ticket to add 2.7.0-preview2 to its precompiled versions.